org.wildfly.swarm.config.elytron

## Class FilteringKeyStore<T extends FilteringKeyStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.FilteringKeyStore<T>

-     public class FilteringKeyStore<T extends FilteringKeyStore<T>>
      extends Object

  A filtering KeyStore definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteringKeyStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `aliasFilter()` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `T` | `aliasFilter(String value)` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `String` | `getKey()`
    `String` | `keyStore()` Name of filtered KeyStore.
    `T` | `keyStore(String value)` Name of filtered KeyStore.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `State` | `state()` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.
    `T` | `state(State value)` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteringKeyStore

          public FilteringKeyStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### aliasFilter

          public String aliasFilter()

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### aliasFilter

          public T aliasFilter(String value)

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### keyStore

          public String keyStore()

      Name of filtered KeyStore.

    - #### keyStore

          public T keyStore(String value)

      Name of filtered KeyStore.

    - #### state

          public State state()

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - #### state

          public T state(State value)

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

Copyright © 2017 JBoss by Red Hat. All rights reserved.